org.fourthline.cling.support.avtransport

## Class AbstractAVTransportService

- java.lang.Object
- - org.fourthline.cling.support.avtransport.AbstractAVTransportService

- All Implemented Interfaces:
    LastChangeDelegator
  Direct Known Subclasses:
    AVTransportService

      public abstract class AbstractAVTransportService
      extends Object
      implements LastChangeDelegator

  Skeleton of service with "LastChange" eventing support.
  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PropertyChangeSupport` | `propertyChangeSupport`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractAVTransportService()`
    `protected` | `AbstractAVTransportService(LastChange lastChange)`
    `protected` | `AbstractAVTransportService(PropertyChangeSupport propertyChangeSupport)`
    `protected` | `AbstractAVTransportService(PropertyChangeSupport propertyChangeSupport, LastChange lastChange)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendCurrentState(LastChange lc, UnsignedIntegerFourBytes instanceId)`
    `protected abstract TransportAction[]` | `getCurrentTransportActions(UnsignedIntegerFourBytes instanceId)`
    `String` | `getCurrentTransportActionsString(UnsignedIntegerFourBytes instanceId)`
    `static UnsignedIntegerFourBytes` | `getDefaultInstanceID()`
    `abstract DeviceCapabilities` | `getDeviceCapabilities(UnsignedIntegerFourBytes instanceId)`
    `LastChange` | `getLastChange()`
    `abstract MediaInfo` | `getMediaInfo(UnsignedIntegerFourBytes instanceId)`
    `abstract PositionInfo` | `getPositionInfo(UnsignedIntegerFourBytes instanceId)`
    `PropertyChangeSupport` | `getPropertyChangeSupport()`
    `abstract TransportInfo` | `getTransportInfo(UnsignedIntegerFourBytes instanceId)`
    `abstract TransportSettings` | `getTransportSettings(UnsignedIntegerFourBytes instanceId)`
    `abstract void` | `next(UnsignedIntegerFourBytes instanceId)`
    `abstract void` | `pause(UnsignedIntegerFourBytes instanceId)`
    `abstract void` | `play(UnsignedIntegerFourBytes instanceId, String speed)`
    `abstract void` | `previous(UnsignedIntegerFourBytes instanceId)`
    `abstract void` | `record(UnsignedIntegerFourBytes instanceId)`
    `abstract void` | `seek(UnsignedIntegerFourBytes instanceId, String unit, String target)`
    `abstract void` | `setAVTransportURI(UnsignedIntegerFourBytes instanceId, String currentURI, String currentURIMetaData)`
    `abstract void` | `setNextAVTransportURI(UnsignedIntegerFourBytes instanceId, String nextURI, String nextURIMetaData)`
    `abstract void` | `setPlayMode(UnsignedIntegerFourBytes instanceId, String newPlayMode)`
    `abstract void` | `setRecordQualityMode(UnsignedIntegerFourBytes instanceId, String newRecordQualityMode)`
    `abstract void` | `stop(UnsignedIntegerFourBytes instanceId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.fourthline.cling.support.lastchange.LastChangeDelegator

      `getCurrentInstanceIds`

- - ### Field Detail

    - #### propertyChangeSupport

          protected final PropertyChangeSupport propertyChangeSupport

  - ### Constructor Detail

    - #### AbstractAVTransportService

          protected AbstractAVTransportService()

    - #### AbstractAVTransportService

          protected AbstractAVTransportService(LastChange lastChange)

    - #### AbstractAVTransportService

          protected AbstractAVTransportService(PropertyChangeSupport propertyChangeSupport)

    - #### AbstractAVTransportService

          protected AbstractAVTransportService(PropertyChangeSupport propertyChangeSupport,
                                               LastChange lastChange)

  - ### Method Detail

    - #### getLastChange

          public LastChange getLastChange()

      Specified by:
        `getLastChange` in interface `LastChangeDelegator`

    - #### appendCurrentState

          public void appendCurrentState(LastChange lc,
                                         UnsignedIntegerFourBytes instanceId)
                                  throws Exception

      Specified by:
        `appendCurrentState` in interface `LastChangeDelegator`
      Throws:
        `Exception`

    - #### getPropertyChangeSupport

          public PropertyChangeSupport getPropertyChangeSupport()

    - #### getDefaultInstanceID

          public static UnsignedIntegerFourBytes getDefaultInstanceID()

    - #### setAVTransportURI

          public abstract void setAVTransportURI(UnsignedIntegerFourBytes instanceId,
                                                 String currentURI,
                                                 String currentURIMetaData)
                                          throws AVTransportException

      Throws:
        `AVTransportException`

    - #### setNextAVTransportURI

          public abstract void setNextAVTransportURI(UnsignedIntegerFourBytes instanceId,
                                                     String nextURI,
                                                     String nextURIMetaData)
                                              throws AVTransportException

      Throws:
        `AVTransportException`

    - #### getMediaInfo

          public abstract MediaInfo getMediaInfo(UnsignedIntegerFourBytes instanceId)
                                          throws AVTransportException

      Throws:
        `AVTransportException`

    - #### getTransportInfo

          public abstract TransportInfo getTransportInfo(UnsignedIntegerFourBytes instanceId)
                                                  throws AVTransportException

      Throws:
        `AVTransportException`

    - #### getPositionInfo

          public abstract PositionInfo getPositionInfo(UnsignedIntegerFourBytes instanceId)
                                                throws AVTransportException

      Throws:
        `AVTransportException`

    - #### getDeviceCapabilities

          public abstract DeviceCapabilities getDeviceCapabilities(UnsignedIntegerFourBytes instanceId)
                                                            throws AVTransportException

      Throws:
        `AVTransportException`

    - #### getTransportSettings

          public abstract TransportSettings getTransportSettings(UnsignedIntegerFourBytes instanceId)
                                                          throws AVTransportException

      Throws:
        `AVTransportException`

    - #### stop

          public abstract void stop(UnsignedIntegerFourBytes instanceId)
                             throws AVTransportException

      Throws:
        `AVTransportException`

    - #### play

          public abstract void play(UnsignedIntegerFourBytes instanceId,
                                    String speed)
                             throws AVTransportException

      Throws:
        `AVTransportException`

    - #### pause

          public abstract void pause(UnsignedIntegerFourBytes instanceId)
                              throws AVTransportException

      Throws:
        `AVTransportException`

    - #### record

          public abstract void record(UnsignedIntegerFourBytes instanceId)
                               throws AVTransportException

      Throws:
        `AVTransportException`

    - #### seek

          public abstract void seek(UnsignedIntegerFourBytes instanceId,
                                    String unit,
                                    String target)
                             throws AVTransportException

      Throws:
        `AVTransportException`

    - #### next

          public abstract void next(UnsignedIntegerFourBytes instanceId)
                             throws AVTransportException

      Throws:
        `AVTransportException`

    - #### previous

          public abstract void previous(UnsignedIntegerFourBytes instanceId)
                                 throws AVTransportException

      Throws:
        `AVTransportException`

    - #### setPlayMode

          public abstract void setPlayMode(UnsignedIntegerFourBytes instanceId,
                                           String newPlayMode)
                                    throws AVTransportException

      Throws:
        `AVTransportException`

    - #### setRecordQualityMode

          public abstract void setRecordQualityMode(UnsignedIntegerFourBytes instanceId,
                                                    String newRecordQualityMode)
                                             throws AVTransportException

      Throws:
        `AVTransportException`

    - #### getCurrentTransportActionsString

          public String getCurrentTransportActionsString(UnsignedIntegerFourBytes instanceId)
                                                  throws AVTransportException

      Throws:
        `AVTransportException`

    - #### getCurrentTransportActions

          protected abstract TransportAction[] getCurrentTransportActions(UnsignedIntegerFourBytes instanceId)
                                                                   throws Exception

      Throws:
        `Exception`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.